<div *ngIf="comment" class="comment">
	<h1>{{comment.username}}</h1>
	<p>{{comment.message}}</p>
	<button mat-raised-button color="accent" (click)="replying=true"
		*ngIf="!replying">Reply</button>
	<button mat-raised-button color="primary" (click)="deleteComment()"
		*ngIf="userId === comment.userId">Delete</button>
	<div *ngIf="replying">
		<mat-form-field id="reply-form">
			<mat-label>Reply</mat-label>
			<textarea matInput id="reply-text"></textarea>
			<button mat-stroked-button type="submit" 
				(click)="submitReply(comment.id)">Submit</button>
			<button mat-stroked-button type="reset"
				(click)="cancelReply()">Cancel</button>
		</mat-form-field>
	</div>
	<app-comment *ngFor="let c of comment.replies"
		[comment]="c" [discussion_id]="discussion_id"></app-comment>
</div>
